<?xml version="1.0" encoding="utf-8"?>
<!-- 

OASIS takes no position regarding the validity or scope of any intellectual property or other rights that might be claimed to pertain to the implementation or use of the technology described in this document or the extent to which any license under such rights might or might not be available; neither does it represent that it has made any effort to identify any such rights. Information on OASIS's procedures with respect to rights in OASIS specifications can be found at the OASIS website. Copies of claims of rights made available for publication and any assurances of licenses to be made available, or the result of an attempt made to obtain a general license or permission for the use of such proprietary rights by implementors or users of this specification, can be obtained from the OASIS Executive Director.

OASIS invites any interested party to bring to its attention any copyrights, patents or patent applications, or other proprietary rights which may cover technology that may be required to implement this specification. Please address the information to the OASIS Executive Director.

Copyright (C) OASIS Open (2004). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to OASIS, except as needed for the purpose of developing OASIS specifications, in which case the procedures for copyrights defined in the OASIS Intellectual Property Rights document must be followed, or as required to translate it into languages other than English. 

The limited permissions granted above are perpetual and will not be revoked by OASIS or its successors or assigns. 

This document and the information contained herein is provided on an "AS IS" basis and OASIS DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

-->

<wsdl:definitions name="WS-ResourceProperties"
  xmlns="http://schemas.xmlsoap.org/wsdl/" 
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
  xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
  xmlns:wsbf=
  "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-BaseFaults-1.2-draft-03.xsd"
  xmlns:wsrf-rp=
  "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceProperties-1.2-draft-05.xsd" 
  xmlns:wsrf-rpw=
  "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceProperties-1.2-draft-05.wsdl" 
  targetNamespace=
  "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceProperties-1.2-draft-05.wsdl" 
>
  
<!-- ===================== Types Definitions ====================== -->
   <wsdl:types>
     <xsd:schema 
        xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
        targetNamespace=
  "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-ResourceProperties-1.2-draft-05.xsd"
        elementFormDefault="qualified" 
        attributeFormDefault="unqualified">

       <xsd:include schemaLocation="WS-ResourceProperties-1_2-Draft_05.xsd"/> 
       
       <xsd:import 
          namespace=
       "http://docs.oasis-open.org/wsrf/2004/11/wsrf-WS-BaseFaults-1.2-draft-03.xsd"
          schemaLocation="WS-BaseFaults-1_2-Draft_03.xsd"/>
       
 <!-- ====== Resource Properties for QueryResourceProperties ======= -->
	   <xsd:element name="QueryResourcePropertiesRP">
	       <xsd:complexType>
		   <xsd:sequence>
		       <xsd:element maxOccurs="unbounded" minOccurs="1" ref="wsrf-rp:QueryExpressionDialect"/>		       
		   </xsd:sequence>
	       </xsd:complexType>
            </xsd:element>
       
<!-- ======= Message Types for GetResourcePropertyDocument  ======= -->

         <xsd:element name="GetResourcePropertyDocument">
            <xsd:complexType/>
         </xsd:element>

         <xsd:element name="GetResourcePropertyDocumentResponse">
            <xsd:complexType>
               <xsd:sequence>
                  <xsd:any minOccurs="1" maxOccurs="1"/>
               </xsd:sequence>
            </xsd:complexType>
         </xsd:element>

<!-- ========== Message Types for GetResourceProperty  ============ -->
       
       <xsd:element name="GetResourceProperty" 
                    type="xsd:QName" />

       <xsd:element name="GetResourcePropertyResponse" >
         <xsd:complexType>
           <xsd:sequence>
             <xsd:any  minOccurs="0" maxOccurs="unbounded" />
           </xsd:sequence>
         </xsd:complexType>
       </xsd:element>

      <xsd:complexType name="ResourceUnknownFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="ResourceUnknownFault" 
                   type="wsrf-rp:ResourceUnknownFaultType"/>

      <xsd:complexType name="InvalidResourcePropertyQNameFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InvalidResourcePropertyQNameFault" 
                   type="wsrf-rp:InvalidResourcePropertyQNameFaultType"/>


<!-- ====== Message Types for GetMultipleResourceProperties ======= -->       
       <xsd:element name="GetMultipleResourceProperties">
         <xsd:complexType>
           <xsd:sequence>
             <xsd:element name="ResourceProperty" type="xsd:QName" 
                          minOccurs="1" maxOccurs="unbounded" />
           </xsd:sequence>
         </xsd:complexType>
       </xsd:element>
 
       <xsd:element name="GetMultipleResourcePropertiesResponse">
         <xsd:complexType>
           <xsd:sequence>
             <xsd:any  minOccurs="0" maxOccurs="unbounded" />
           </xsd:sequence>
         </xsd:complexType>
       </xsd:element>

<!-- ========= Message Types for SetResourceProperties =========== -->
                   
       <xsd:complexType name="InsertType">
         <xsd:sequence>
           <xsd:any processContents="lax"
                    minOccurs="1" maxOccurs="unbounded" />
         </xsd:sequence>
       </xsd:complexType>
       <xsd:element name="Insert" 
                    type="wsrf-rp:InsertType"/>
         
       <xsd:complexType name="UpdateType">
         <xsd:sequence>
           <xsd:any processContents="lax"
                    minOccurs="1" maxOccurs="unbounded" />
         </xsd:sequence>
       </xsd:complexType>
       <xsd:element name="Update" 
                    type="wsrf-rp:UpdateType"/>
         
       <xsd:complexType name="DeleteType">
         <xsd:attribute name="ResourceProperty" 
                        type="xsd:QName" use="required" />
       </xsd:complexType>
       <xsd:element name="Delete" 
                    type="wsrf-rp:DeleteType"/>
        
       <xsd:element name="SetResourceProperties">
         <xsd:complexType>
           <xsd:choice minOccurs="0" maxOccurs="unbounded">
             <xsd:element ref="wsrf-rp:Insert"/>
             <xsd:element ref="wsrf-rp:Update"/>
             <xsd:element ref="wsrf-rp:Delete"/>
           </xsd:choice>
         </xsd:complexType>
       </xsd:element>

      <xsd:element name="SetResourcePropertiesResponse" >
         <xsd:complexType />
      </xsd:element>

      <xsd:complexType
               name="InvalidSetResourcePropertiesRequestContentFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InvalidSetResourcePropertiesRequestContentFault" 
               type="wsrf-rp:InvalidSetResourcePropertiesRequestContentFaultType"/>

      <xsd:complexType name="UnableToModifyResourcePropertyFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="UnableToModifyResourcePropertyFault" 
                   type="wsrf-rp:UnableToModifyResourcePropertyFaultType"/>

      <xsd:complexType name="SetResourcePropertyRequestFailedFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="SetResourcePropertyRequestFailedFault" 
                   type="wsrf-rp:SetResourcePropertyRequestFailedFaultType"/>

     <xsd:complexType name="InsertResourcePropertyRequestFailedFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InsertResourcePropertyRequestFailedFault" 
                   type="wsrf-rp:InsertResourcePropertyRequestFailedFaultType"/>

      <xsd:complexType name="InvalidInsertResourcePropertiesRequestContentFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/> 
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InvalidInsertResourcePropertiesRequestContentFault" 
                   type="wsrf-rp:InvalidInsertResourcePropertiesRequestContentFaultType"/>

      <xsd:complexType name="InvalidUpdateResourcePropertiesRequestContentFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InvalidUpdateResourcePropertiesRequestContentFault" 
                   type="wsrf-rp:InvalidUpdateResourcePropertiesRequestContentFaultType"/>

      <xsd:complexType name="UpdateResourcePropertyRequestFailedFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="UpdateResourcePropertyRequestFailedFault" 
                   type="wsrf-rp:UpdateResourcePropertyRequestFailedFaultType"/>

      <xsd:complexType name="DeleteResourcePropertyRequestFailedFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="DeleteResourcePropertyRequestFailedFault" 
                   type="wsrf-rp:DeleteResourcePropertyRequestFailedFaultType"/>

<!-- ======== Message Types for InsertResourceProperties ========== -->
      <xsd:element name="InsertResourceProperties">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element ref="wsrf-rp:Insert"/> 
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>

      <xsd:element name="InsertResourcePropertiesResponse" >
         <xsd:complexType />
      </xsd:element>
      
<!-- ======== Message Types for UpdateResourceProperties ========== -->
      <xsd:element name="UpdateResourceProperties">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element ref="wsrf-rp:Update"/> 
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>

      <xsd:element name="UpdateResourcePropertiesResponse" >
         <xsd:complexType />
      </xsd:element>

<!-- ======== Message Types for DeleteResourceProperties ========== -->
      <xsd:element name="DeleteResourceProperties">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element ref="wsrf-rp:Delete"/> 
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>

      <xsd:element name="DeleteResourcePropertiesResponse" >
         <xsd:complexType />
      </xsd:element>

<!-- ========= Message Types for QueryResourceProperties ========== -->         
       
       <xsd:element name="QueryResourceProperties" >
         <xsd:complexType>
           <xsd:sequence>
             <xsd:element ref="wsrf-rp:QueryExpression" 
                          minOccurs="1" maxOccurs="1"/>
           </xsd:sequence>
         </xsd:complexType>
       </xsd:element>
 
       <xsd:element name="QueryResourcePropertiesResponse" >
         <xsd:complexType>
           <xsd:complexContent mixed="true">
             <xsd:restriction base="xsd:anyType">
               <xsd:sequence>
                 <xsd:any processContents="lax" 
                          minOccurs="1" maxOccurs="unbounded"/>
               </xsd:sequence>
             </xsd:restriction>
           </xsd:complexContent>
         </xsd:complexType>
       </xsd:element>        

      <xsd:complexType name="UnknownQueryExpressionDialectFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="UnknownQueryExpressionDialectFault" 
                   type="wsrf-rp:UnknownQueryExpressionDialectFaultType"/>

      <xsd:complexType name="InvalidQueryExpressionFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="InvalidQueryExpressionFault" 
                   type="wsrf-rp:InvalidQueryExpressionFaultType"/>

      <xsd:complexType name="QueryEvaluationErrorFaultType">
         <xsd:complexContent>
            <xsd:extension base="wsbf:BaseFaultType"/>
         </xsd:complexContent>
      </xsd:complexType>
      <xsd:element name="QueryEvaluationErrorFault" 
                   type="wsrf-rp:QueryEvaluationErrorFaultType"/>


     </xsd:schema>
   </wsdl:types>

<!-- ================== GetResourcePropertyDocument ===============
     GetResourcePropertyDocument()
     returns: any
-->
   <wsdl:message name="GetResourcePropertyDocumentRequest">
      <wsdl:part name="GetResourcePropertyDocumentRequest" 
            element="wsrf-rp:GetResourcePropertyDocument"/>
   </wsdl:message>

   <wsdl:message name="GetResourcePropertyDocumentResponse">
      <wsdl:part name="GetResourcePropertyDocumentResponse" 
            element="wsrf-rp:GetResourcePropertyDocumentResponse"/>
   </wsdl:message>
   
<!-- ===================== GetResourceProperty ==================== 
  GetResourceProperty(QName)
  returns: any
-->
  <wsdl:message name="GetResourcePropertyRequest">
    <wsdl:part name="GetResourcePropertyRequest" 
               element="wsrf-rp:GetResourceProperty" />
  </wsdl:message>
  
  <wsdl:message name="GetResourcePropertyResponse">
    <wsdl:part name="GetResourcePropertyResponse" 
               element="wsrf-rp:GetResourcePropertyResponse" />
  </wsdl:message>

  <wsdl:message name="ResourceUnknownFault">
     <part name="ResourceUnknownFault"
           element="wsrf-rp:ResourceUnknownFault" />
  </wsdl:message> 

  <wsdl:message name="InvalidResourcePropertyQNameFault">
     <part name="InvalidResourcePropertyQNameFault"
           element="wsrf-rp:InvalidResourcePropertyQNameFault" />
  </wsdl:message> 

<!-- ==============GetMultipleResourceProperties ================== 
  GetMultipleResourceProperties(list of QName)
  returns: sequence of any
-->
  <wsdl:message name="GetMultipleResourcePropertiesRequest">
    <wsdl:part name="GetMultipleResourcePropertiesRequest" 
               element="wsrf-rp:GetMultipleResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="GetMultipleResourcePropertiesResponse">
    <wsdl:part name="GetMultipleResourcePropertiesResponse" 
               element="wsrf-rp:GetMultipleResourcePropertiesResponse" />
  </wsdl:message>

<!-- ================= SetResourceProperties ====================== 
  SetResourceProperties(
  { insert (any)* |
    update (any)* |
    delete@QName } + 
  )
  returns: empty
-->
  <wsdl:message name="SetResourcePropertiesRequest">
    <wsdl:part name="SetResourcePropertiesRequest" 
               element="wsrf-rp:SetResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="SetResourcePropertiesResponse">
    <wsdl:part name="SetResourcePropertiesResponse" 
               element="wsrf-rp:SetResourcePropertiesResponse" />
  </wsdl:message>
  
  <wsdl:message name="InvalidSetResourcePropertiesRequestContentFault">
     <part name="InvalidSetResourcePropertiesRequestContentFault"
           element="wsrf-rp:InvalidSetResourcePropertiesRequestContentFault" />
  </wsdl:message> 

  <wsdl:message name="UnableToModifyResourcePropertyFault">
     <part name="UnableToModifyResourcePropertyFault"
           element="wsrf-rp:UnableToModifyResourcePropertyFault" />
  </wsdl:message> 

  <wsdl:message name="SetResourcePropertyRequestFailedFault">
     <part name="SetResourcePropertyRequestFailedFault"
           element="wsrf-rp:SetResourcePropertyRequestFailedFault" />
  </wsdl:message> 

<!-- =============== InsertResourceProperties ===================== 
  InsertResourceProperties((any)* )
  returns: empty
-->
  <wsdl:message name="InsertResourcePropertiesRequest">
    <wsdl:part name="InsertResourcePropertiesRequest" 
               element="wsrf-rp:InsertResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="InsertResourcePropertiesResponse">
    <wsdl:part name="InsertResourcePropertiesResponse" 
               element="wsrf-rp:InsertResourcePropertiesResponse" /> 
  </wsdl:message>

  <wsdl:message name="InsertResourcePropertyRequestFailedFault">
     <part name="InsertResourcePropertyRequestFailedFault"
           element="wsrf-rp:InsertResourcePropertyRequestFailedFault" />
  </wsdl:message> 

  <wsdl:message name="InvalidInsertResourcePropertiesRequestContentFault">
     <part name="InvalidInsertResourcePropertiesRequestContentFault"
           element="wsrf-rp:InvalidInsertResourcePropertiesRequestContentFault" />
  </wsdl:message> 

<!-- =============== UpdateResourceProperties ===================== 
  UpdateResourceProperties((any)* )
  returns: empty
-->
  <wsdl:message name="UpdateResourcePropertiesRequest">
    <wsdl:part name="UpdateResourcePropertiesRequest" 
               element="wsrf-rp:UpdateResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="UpdateResourcePropertiesResponse">
    <wsdl:part name="UpdateResourcePropertiesResponse" 
               element="wsrf-rp:UpdateResourcePropertiesResponse" /> 
  </wsdl:message>

  <wsdl:message name="UpdateResourcePropertyRequestFailedFault">
     <part name="UpdateResourcePropertyRequestFailedFault"
           element="wsrf-rp:UpdateResourcePropertyRequestFailedFault" />
  </wsdl:message> 

  <wsdl:message name="InvalidUpdateResourcePropertiesRequestContentFault">
     <part name="InvalidUpdateResourcePropertiesRequestContentFault"
           element="wsrf-rp:InvalidUpdateResourcePropertiesRequestContentFault" />
  </wsdl:message> 
  
<!-- =============== DeleteResourceProperties ===================== 
  DeleteResourceProperties( ResourceProperty )
  returns: empty
-->
  <wsdl:message name="DeleteResourcePropertiesRequest">
    <wsdl:part name="DeleteResourcePropertiesRequest" 
               element="wsrf-rp:DeleteResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="DeleteResourcePropertiesResponse">
    <wsdl:part name="DeleteResourcePropertiesResponse" 
               element="wsrf-rp:DeleteResourcePropertiesResponse" /> 
  </wsdl:message>

  <wsdl:message name="DeleteResourcePropertyRequestFailedFault">
     <part name="DeleteResourcePropertyRequestFailedFault"
           element="wsrf-rp:DeleteResourcePropertyRequestFailedFault" />
  </wsdl:message>

<!-- ================ QueryResourceProperties ===================== 
  QueryResourceProperties(QueryExpression)
  returns: any
-->
  <wsdl:message name="QueryResourcePropertiesRequest">
    <wsdl:part name="QueryResourcePropertiesRequest" 
               element="wsrf-rp:QueryResourceProperties" />
  </wsdl:message>
  
  <wsdl:message name="QueryResourcePropertiesResponse">
    <wsdl:part name="QueryResourcePropertiesResponse" 
               element="wsrf-rp:QueryResourcePropertiesResponse" />
  </wsdl:message>

  <wsdl:message name="UnknownQueryExpressionDialectFault">
     <part name="UnknownQueryExpressionDialectFault"
           element="wsrf-rp:UnknownQueryExpressionDialectFault" />
  </wsdl:message> 

  <wsdl:message name="InvalidQueryExpressionFault">
     <part name="InvalidQueryExpressionFault"
           element="wsrf-rp:InvalidQueryExpressionFault" />
  </wsdl:message> 

  <wsdl:message name="QueryEvaluationErrorFault">
     <part name="QueryEvaluationErrorFault"
           element="wsrf-rp:QueryEvaluationErrorFault" />
  </wsdl:message> 

<!-- =================== PortType Definitions ===================== -->
  <wsdl:portType name="GetResourcePropertyDocument">
    <wsdl:operation name="GetResourcePropertyDocument">
      <wsdl:input name="GetResourcePropertyDocumentRequest"
               message="wsrf-rpw:GetResourcePropertyDocumentRequest"/>
      <wsdl:output name="GetResourcePropertyDocumentResponse"
              message="wsrf-rpw:GetResourcePropertyDocumentResponse"/>
      <wsdl:fault name="ResourceUnknownFault"
                  message="wsrf-rpw:ResourceUnknownFault"/>
    </wsdl:operation>
  </wsdl:portType>

  <wsdl:portType name="GetResourceProperty">  
    <wsdl:operation name="GetResourceProperty">
      <wsdl:input  name="GetResourcePropertyRequest" 
                   message="wsrf-rpw:GetResourcePropertyRequest" />
      <wsdl:output name="GetResourcePropertyResponse" 
                   message="wsrf-rpw:GetResourcePropertyResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
    </wsdl:operation>
  </wsdl:portType>
  
  <wsdl:portType name="GetMultipleResourceProperties">
    <wsdl:operation name="GetMultipleResourceProperties">
      <wsdl:input  name="GetMultipleResourcePropertiesRequest" 
                   message="wsrf-rpw:GetMultipleResourcePropertiesRequest" />
      <wsdl:output name="GetMultipleResourcePropertiesResponse" 
                   message="wsrf-rpw:GetMultipleResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
    </wsdl:operation>
  </wsdl:portType>

  <wsdl:portType name="SetResourceProperties"> 
    <wsdl:operation name="SetResourceProperties">
      <wsdl:input  name="SetResourcePropertiesRequest" 
                   message="wsrf-rpw:SetResourcePropertiesRequest" />
      <wsdl:output name="SetResourcePropertiesResponse" 
                   message="wsrf-rpw:SetResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidSetResourcePropertiesRequestContentFault" 
               message="wsrf-rpw:InvalidSetResourcePropertiesRequestContentFault" />     
      <wsdl:fault  name="UnableToModifyResourcePropertyFault" 
                   message="wsrf-rpw:UnableToModifyResourcePropertyFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
      <wsdl:fault  name="SetResourcePropertyRequestFailedFault" 
                   message="wsrf-rpw:SetResourcePropertyRequestFailedFault" />
    </wsdl:operation>
  </wsdl:portType>
  
  <wsdl:portType name="InsertResourceProperties"> 
    <wsdl:operation name="InsertResourceProperties">
      <wsdl:input  name="InsertResourcePropertiesRequest" 
                   message="wsrf-rpw:InsertResourcePropertiesRequest" />
      <wsdl:output name="InsertResourcePropertiesResponse" 
                   message="wsrf-rpw:InsertResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidInsertResourcePropertiesRequestContentFault" 
               message="wsrf-rpw:InvalidInsertResourcePropertiesRequestContentFault" />     
      <wsdl:fault  name="UnableToModifyResourcePropertyFault" 
                   message="wsrf-rpw:UnableToModifyResourcePropertyFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
      <wsdl:fault  name="InsertResourcePropertyRequestFailedFault" 
                   message="wsrf-rpw:InsertResourcePropertyRequestFailedFault" />
    </wsdl:operation>
  </wsdl:portType>  
  
  <wsdl:portType name="UpdateResourceProperties"> 
    <wsdl:operation name="UpdateResourceProperties">
      <wsdl:input  name="UpdateResourcePropertiesRequest" 
                   message="wsrf-rpw:UpdateResourcePropertiesRequest" />
      <wsdl:output name="UpdateResourcePropertiesResponse" 
                   message="wsrf-rpw:UpdateResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidUpdateResourcePropertiesRequestContentFault" 
               message="wsrf-rpw:InvalidUpdateResourcePropertiesRequestContentFault" />     
      <wsdl:fault  name="UnableToModifyResourcePropertyFault" 
                   message="wsrf-rpw:UnableToModifyResourcePropertyFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
      <wsdl:fault  name="UpdateResourcePropertyRequestFailedFault" 
                   message="wsrf-rpw:UpdateResourcePropertyRequestFailedFault" />
    </wsdl:operation>
  </wsdl:portType>  

  <wsdl:portType name="DeleteResourceProperties"> 
    <wsdl:operation name="DeleteResourceProperties">
      <wsdl:input  name="DeleteResourcePropertiesRequest" 
                   message="wsrf-rpw:DeleteResourcePropertiesRequest" />
      <wsdl:output name="DeleteResourcePropertiesResponse" 
                   message="wsrf-rpw:DeleteResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="UnableToModifyResourcePropertyFault" 
                   message="wsrf-rpw:UnableToModifyResourcePropertyFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
      <wsdl:fault  name="DeleteResourcePropertyRequestFailedFault" 
                   message="wsrf-rpw:DeleteResourcePropertyRequestFailedFault" /> 
    </wsdl:operation>
  </wsdl:portType>  

  <wsdl:portType name="QueryResourceProperties" wsrf-rp:ResourceProperties="wsrf-rpw:QueryResourcePropertiesRP">
    <wsdl:operation name="QueryResourceProperties">
      <wsdl:input  name="QueryResourcePropertiesRequest" 
                   message="wsrf-rpw:QueryResourcePropertiesRequest" />
      <wsdl:output name="QueryResourcePropertiesResponse" 
                   message="wsrf-rpw:QueryResourcePropertiesResponse" />
      <wsdl:fault  name="ResourceUnknownFault" 
                   message="wsrf-rpw:ResourceUnknownFault" />
      <wsdl:fault  name="InvalidResourcePropertyQNameFault" 
                   message="wsrf-rpw:InvalidResourcePropertyQNameFault" />     
      <wsdl:fault  name="UnknownQueryExpressionDialectFault" 
                   message="wsrf-rpw:UnknownQueryExpressionDialectFault" />
      <wsdl:fault  name="InvalidQueryExpressionFault" 
                   message="wsrf-rpw:InvalidQueryExpressionFault" />
      <wsdl:fault  name="QueryEvaluationErrorFault" 
                   message="wsrf-rpw:QueryEvaluationErrorFault" />
    </wsdl:operation>

  </wsdl:portType>

</wsdl:definitions>
